=== web/xhotkeys/Makefile ===
# Makefile - makefile for xhotkeys
PACKAGE=xhotkeys

FILES=index.html howtouse.html

all: web

upload: all
	cvs ci -m "automatic commit" .
	
web: $(FILES)

%.html: %-template.html
	cat $< | sed "s/@DEBIANPACKAGE@/$(DEBPACKAGE)/" | \
		sed "s/@TARBALL@/$(TARBALL)/" | \
		sed "s/@DATE@/$(shell LC_ALL=C date)/" | \
		sed "s/@VERSION@/$(VERSION)/" >  $@

clean:
	rm -f $(FILES)
